import scala.collection.mutable._
import scala.collection.JavaConversions._

val javaObj = new JavaClass

val names = List("Joe", "Jill", "Jake")
//val names = ArrayBuffer("Joe", "Jill", "Jake") if you want mutability

javaObj.people(names) // JavaConversions takes care of sending a java.util.List


val result = javaObj.receiveBlock(new java.util.concurrent.Callable[String]() {
  def call = "This rocks"
})

println(result)

// javaObj.yield //will give compilation error since yield is a keyword

javaObj.`yield`

javaObj.`def`
